##### basic_deadline_timer::basic_deadline_timer (7 of 7 overloads)

Move-construct a `basic_deadline_timer` from another.

    basic_deadline_timer(
        basic_deadline_timer && other);

This constructor moves a timer from one object to another.

###### Parameters

other

  The other `basic_deadline_timer` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_deadline_timer(const executor_type&)` constructor.